package com.iOrange.HelloWorld;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.EditText;

public class HelloWorld extends Activity
{
	/** This is our TextView */
	private TextView m_TextView;
	/** This is our EditText */
	private EditText m_EditText;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        m_TextView = (TextView)findViewById(R.id.TextView01);
        m_EditText = (EditText)findViewById(R.id.EditText01);
        
        findViewById(R.id.Button01).setOnClickListener(m_ClickListener);
    }
    
    /** Called when the button is clicked */
    View.OnClickListener m_ClickListener = new View.OnClickListener()
    {
        public void onClick(View v)
        {
            // Get text of our EditText
            String text = m_EditText.getText().toString();
            // And construct hello string to set to our TextView 
            m_TextView.setText("Hello world, " + text + " !");
        }
    };
}